StartupEvents.registry('creative_mode_tab', event => {
	event.create('v-borne_additions').icon(() => 'v_borne:compressed_xp').content(() => [
		'v_borne:biolithic_aggregate',
		'v_borne:compact_gravel',
		'v_borne:compact_clay',
		'v_borne:mercury_gravel',
		'v_borne:chromatic_block',
		'v_borne:silver_block',
		'v_borne:compressed_xp',
		'v_borne:refined_mercury_stone',
		'v_borne:fortified_planks',
		'v_borne:unset_fortified_planks',
		'v_borne:unrefined_bauxite',
		'v_borne:pumpkin_puree_bucket',
		'v_borne:resin_bucket',
		'v_borne:catalyzing_fluid_bucket',
		'v_borne:molten_bronze_bucket',
		'v_borne:lapis_sheet',
		'v_borne:acorn_dough',
		'v_borne:bitter_acorn_flour',
		'v_borne:acorn_flour',
		'v_borne:bronze_coin',
		'v_borne:bronze_coinstack',
		'v_borne:andesite_hand',
		'v_borne:unprogrammed_ender_eye',
		'v_borne:unmagnetized_ingot',
		'v_borne:crushed_raw_silver',
		'v_borne:nickel_coinstack',
		'v_borne:nickel_coin',
		'v_borne:flint_dust',
		'v_borne:glass_dust',
		'v_borne:rough_andesite_alloy',
		'v_borne:martian_rebar',
		'v_borne:silver_coinstack',
		'v_borne:silver_coin',
		'v_borne:uraninite',
		'v_borne:nickel_nugget',
		'v_borne:pulsium',
		'v_borne:rosin',
		'v_borne:silver_nugget',
		'v_borne:silver_ingot',
		'v_borne:interstellar_alloy',
		'v_borne:silver_dust',
		'v_borne:pendant',
		'v_borne:andesite_drill_head',
		'v_borne:carbon_brush'
	])
})
StartupEvents.registry('creative_mode_tab', event => {
	event.create('v-borne_foodstuffs').icon(() => 'v_borne:acorn_bun').content(() => [
		'v_borne:moon_pie',
		'v_borne:refried_beans',
		'v_borne:raw_acorn_cookie',
		'v_borne:acorn_cookie',
		'v_borne:acorn_bun',
		'v_borne:garapa_bottle',
		'v_borne:syrup_bottle'
	])
})
StartupEvents.modifyCreativeTab('kubejs:tab', event => {
    event.icon = 'v_borne:pod_shell'
    event.displayName = 'V-Borne Miscellaneous'
})
StartupEvents.modifyCreativeTab('kubejs:tab', event => {
	event.removeDisplay('v_borne:syrup_bottle');
	event.removeDisplay('v_borne:moon_pie');
	event.removeDisplay('v_borne:refried_beans');
	event.removeDisplay('v_borne:raw_acorn_cookie');
	event.removeDisplay('v_borne:acorn_cookie');
	event.removeDisplay('v_borne:acorn_bun');
	event.removeDisplay('v_borne:garapa_bottle');
	event.removeDisplay('v_borne:biolithic_aggregate');
	event.removeDisplay('v_borne:compact_gravel');
	event.removeDisplay('v_borne:compact_clay');
	event.removeDisplay('v_borne:mercury_gravel');
	event.removeDisplay('v_borne:chromatic_block');
	event.removeDisplay('v_borne:silver_block');
	event.removeDisplay('v_borne:compressed_xp');
	event.removeDisplay('v_borne:refined_mercury_stone');
	event.removeDisplay('v_borne:fortified_planks');
	event.removeDisplay('v_borne:unset_fortified_planks');
	event.removeDisplay('v_borne:unrefined_bauxite');
	event.removeDisplay('v_borne:lapis_sheet');
	event.removeDisplay('v_borne:acorn_dough');
	event.removeDisplay('v_borne:bitter_acorn_flour');
	event.removeDisplay('v_borne:acorn_flour');
	event.removeDisplay('v_borne:bronze_coin');
	event.removeDisplay('v_borne:bronze_coinstack');
	event.removeDisplay('v_borne:andesite_hand');
	event.removeDisplay('v_borne:unprogrammed_ender_eye');
	event.removeDisplay('v_borne:unmagnetized_ingot');
	event.removeDisplay('v_borne:crushed_raw_silver');
	event.removeDisplay('v_borne:nickel_coinstack');
	event.removeDisplay('v_borne:nickel_coin');
	event.removeDisplay('v_borne:flint_dust');
	event.removeDisplay('v_borne:glass_dust');
	event.removeDisplay('v_borne:rough_andesite_alloy');
	event.removeDisplay('v_borne:martian_rebar');
	event.removeDisplay('v_borne:silver_coinstack');
	event.removeDisplay('v_borne:silver_coin');
	event.removeDisplay('v_borne:uraninite');
	event.removeDisplay('v_borne:nickel_nugget');
	event.removeDisplay('v_borne:pulsium');
	event.removeDisplay('v_borne:rosin');
	event.removeDisplay('v_borne:silver_nugget');
	event.removeDisplay('v_borne:silver_ingot');
	event.removeDisplay('v_borne:interstellar_alloy');
	event.removeDisplay('v_borne:silver_dust');
	event.removeDisplay('v_borne:pendant');
	event.removeDisplay('v_borne:andesite_drill_head');
	event.removeDisplay('v_borne:carbon_brush');
})